@if (columnDisplay) {
  <div
    class="full-width full-height flex-row"
    [sqtmCoreWorkspace]="getWorkspace()"
    [localTheme]="true"
  >
    @for (ancestorIsLast of depthArray; track ancestorIsLast) {
      <div
        class="flex-fixed-size full-height"
        [style.width]="INDEX_BASE_WIDTH + 'px'"
      ></div>
    }
    <div
      class="flex-fixed-size full-height status-icon-container"
      [style.width]="INDEX_BASE_WIDTH + 'px'"
    >
      @if (!row.async && row.state !== 'leaf') {
        <div
          class="status-icon"
          [attr.data-test-row-toggle]="true"
          (click)="toggleRow($event)"
        >
          <i nz-icon [nzType]="stateIcon" nzTheme="outline"></i>
        </div>
      }
      @if (row.async && row.state !== 'leaf') {
        <div class="async-icon">
          <i
            class="current-workspace-main-color"
            nz-icon
            nzType="loading"
            nzTheme="outline"
          ></i>
        </div>
      }
    </div>
    @switch (templateName) {
      @case ('entity') {
        <ng-container *ngTemplateOutlet="entity"></ng-container>
      }
      @case ('attribute') {
        <ng-container *ngTemplateOutlet="attribute"></ng-container>
      }
    }
  </div>
}

<ng-template #entity>
  <div
    #openable
    class="entity txt-ellipsis current-workspace-main-color"
    [class.selected]="selected"
    [sqtmCoreSelectable]="row.id"
    (dblclick)="toggleRow($event)"
  >
    <i
      class="m-l-10 font-16-px"
      nz-icon
      [nzType]="entityIcon"
      nzTheme="fill"
    ></i>
    <span class="m-l-10 m-r-15 txt-ellipsis name">{{ nodeName }}</span>
  </div>
</ng-template>

<ng-template #attribute>
  <div class="external-capsule txt-ellipsis" [sqtmCoreSelectable]="row.id">
    <div
      class="full-height flex-fixed-size capsule-left-color-indicator"
      [class.custom-field]="isCustomField()"
      [style.background-color]="capsuleBorderColor"
    ></div>
    <div
      class="full-height full-width txt-ellipsis inner-capsule"
      [class.selected]="selected"
    >
      <span class="m-l-10 m-r-15 txt-ellipsis name">{{ nodeName }}</span>
    </div>
  </div>
</ng-template>
